## amqtt 0.11.3

=== Makefile ===
# Image name and tag
IMAGE_NAME := amqtt
IMAGE_TAG := latest
VERSION_TAG := 0.11.3
REGISTRY := amqtt/$(IMAGE_NAME)

# Platforms to build for
PLATFORMS := linux/amd64,linux/arm64

# Default target
.PHONY: all
all: build

# Build multi-platform image
.PHONY: build
build:
	docker buildx build \
		--platform $(PLATFORMS) \
		--tag $(REGISTRY):$(IMAGE_TAG) \
		--tag $(REGISTRY):$(VERSION_TAG) \
		--file Dockerfile \
		--push .

# Optional: build without pushing (for local testing)
.PHONY: build-local
build-local:
	docker buildx build \
		--tag $(REGISTRY):$(IMAGE_TAG) \
		--tag $(REGISTRY):$(VERSION_TAG) \
		--file Dockerfile \
		--load .

# Create builder if not exists
.PHONY: init
init:
	docker buildx create --use --name multi-builder || true
	docker buildx inspect --bootstrap

=== debian/changelog ===
amqtt (0.11.3-1) unstable; urgency=medium

  * Initial release. (Closes: #1120611)

 -- Edward Betts <edward@4angle.com>  Thu, 13 Nov 2025 06:23:18 +0000

=== debian/control ===
Source: amqtt
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-hatchling,
Build-Depends-Indep:
 openssl <!nocheck>,
 python-is-python3 <!nocheck>,
 python3-aiohttp <!nocheck>,
 python3-aiosqlite <!nocheck>,
 python3-argon2 <!nocheck>,
 python3-dacite <!nocheck>,
 python3-hamcrest <!nocheck>,
 python3-hypothesis <!nocheck>,
 python3-jsonschema <!nocheck>,
 python3-jwt <!nocheck>,
 python3-ldap <!nocheck>,
 python3-mergedeep <!nocheck>,
 python3-openssl <!nocheck>,
 python3-paho-mqtt <!nocheck>,
 python3-passlib <!nocheck>,
 python3-pkg-resources <!nocheck>,
 python3-psutil <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-pytest-logdog <!nocheck>,
 python3-pytest-timeout <!nocheck>,
 python3-sqlalchemy <!nocheck>,
 python3-transitions <!nocheck>,
 python3-typer <!nocheck>,
 python3-websockets <!nocheck>,
 python3-yaml <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://github.com/Yakifo/amqtt
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-amqtt
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-amqtt.git

Package: amqtt
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Asyncio-based MQTT broker and client implementation
 Implementation of the MQTT 3.1.1 messaging protocol providing both broker
 and client functionality, built on top of asyncio.
 .
 It supports publish/subscribe communication over TCP or WebSocket
 connections and implements the standard MQTT Quality of Service levels for
 reliable message delivery.
 .
 The broker handles authentication, authorisation, topic access control,
 and message distribution. SSL/TLS encryption and plugin-based extensions
 are supported.
 .
 Session persistence and automatic reconnection help maintain communication
 across temporary network interruptions. Suitable for IoT, sensor networks,
 and other distributed systems using MQTT.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_TEST_ARGS=--no-cov -k " \
	not test_external_http_server and \
	not test_broker_sys_plugin_config and \
	not test_connect_ws and \
	not test_reconnect_ws_retain_username_password and \
	not test_broker_sys_plugin_deprecated_config"

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
Version: 5

Template: Github
Owner: Yakifo
Project: amqtt
